package bearertest

import (
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/bearer"
	eacltest "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/eacl/test"
	usertest "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/user/test"
)

// Token returns random bearer.Token.
//
// Resulting token is unsigned.
func Token() (t bearer.Token) {
	t.SetExp(3)
	t.SetNbf(2)
	t.SetIat(1)
	t.ForUser(*usertest.ID())
	t.SetEACLTable(*eacltest.Table())

	return t
}
